'''A logger that can log...'''

from color import *


class Logger(object):
    def __init__(self):
        self._lines = []
        
    def lines(self):
        return list(self._lines)
    
    def last(self, nr):
        return self._lines[-nr:]
    
    def clear(self):
        self._lines = []
    
    def log(self, string, color = None):
        if color is None:
            color = Color(255, 255, 255)
            
        self._lines.append((str(string), color))
        